> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Api Keys

> List API keys for the authenticated user in the effective org.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/keys
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/keys:
    get:
      tags:
        - Keys
      summary: List Api Keys
      description: List API keys for the authenticated user in the effective org.
      operationId: list_api_keys_api_keys_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ApiKeyResponse'
                type: array
                title: Response List Api Keys Api Keys Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    ApiKeyResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
        not_before:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Not Before
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
      type: object
      required:
        - id
        - created_at
      title: ApiKeyResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````